| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
SCTPAllAssocsDialog Class Reference

Dialog displaying a list of all detected SCTP associations. More...

`#include <sctp_all_assocs_dialog.h>`

Inheritance diagram for SCTPAllAssocsDialog:

## Public Slots
void | setCaptureFile (capture_file *cf)
| Sets the active capture file for the dialog.

## Signals
void | filterPackets (QString new_filter, bool force)
| Signal emitted to request filtering packets based on the selected association.

## Public Member Functions
| SCTPAllAssocsDialog (QWidget *parent=0, capture_file *cf=NULL)
| Constructs a new SCTPAllAssocsDialog object.
| ~SCTPAllAssocsDialog ()
| Destroys the SCTPAllAssocsDialog object.
void | fillTable ()
| Fills the dialog's table with SCTP association data.

## Detailed Description

Dialog displaying a list of all detected SCTP associations.

## Constructor & Destructor Documentation

## ◆ SCTPAllAssocsDialog()

SCTPAllAssocsDialog::SCTPAllAssocsDialog | ( | QWidget * | parent = 0,
|  | capture_file * | cf = NULL )
| explicit

Constructs a new SCTPAllAssocsDialog object.

Parameters

  parent | The parent widget.
  cf | Pointer to the capture file.

## Member Function Documentation

## ◆ filterPackets

void SCTPAllAssocsDialog::filterPackets | ( | QString | new_filter,
|  | bool | force )
| signal

Signal emitted to request filtering packets based on the selected association.

Parameters

  new_filter | The filter string to apply.
  force | True to force the application of the filter.

## ◆ setCaptureFile

void SCTPAllAssocsDialog::setCaptureFile | ( | capture_file * | cf | ) |
| inline slot

Sets the active capture file for the dialog.

Parameters

  cf | Pointer to the capture file.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/sctp_all_assocs_dialog.h
- /builds/wireshark/wireshark/ui/qt/sctp_all_assocs_dialog.cpp